Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pearsoneduc.ip.util
Class AffineTransformation

    java.lang.Object
      |
      +--java.awt.geom.AffineTransform
            |
            +--com.pearsoneduc.ip.util.AffineTransformation

public class AffineTransformation
extends java.awt.geom.AffineTransform

Extends AffineTransform, adding a constructor that computes the transformation mapping one set of three points onto another set of three points.

Version:
  1.0 [1999/08/13]
Author:
  Nick Efford
See Also:
  `AffineTransform`, Serialized Form

Fields inherited from class java.awt.geom.AffineTransform
`TYPE_FLIP, TYPE_GENERAL_ROTATION, TYPE_GENERAL_SCALE, TYPE_GENERAL_TRANSFORM, TYPE_IDENTITY, TYPE_MASK_ROTATION, TYPE_MASK_SCALE, TYPE_QUADRANT_ROTATION, TYPE_TRANSLATION, TYPE_UNIFORM_SCALE`

Constructor Summary
`AffineTransformation()`
`AffineTransformation(java.awt.geom.AffineTransform t)`
`AffineTransformation(double[] matrix)`
`AffineTransformation(double a0, double b0, double a1, double b1, double a2, double b2)`
`AffineTransformation(float[] matrix)`
`AffineTransformation(float a0, float b0, float a1, float b1, float a2, float b2)`
`AffineTransformation(java.awt.geom.Point2D[] in, java.awt.geom.Point2D[] out)` Creates an AffineTransform that maps one set of three points onto another set of three points.

Methods inherited from class java.awt.geom.AffineTransform
`clone, concatenate, createInverse, createTransformedShape, deltaTransform, deltaTransform, equals, getDeterminant, getMatrix, getRotateInstance, getRotateInstance, getScaleInstance, getScaleX, getScaleY, getShearInstance, getShearX, getShearY, getTranslateInstance, getTranslateX, getTranslateY, getType, hashCode, inverseTransform, inverseTransform, isIdentity, preConcatenate, rotate, rotate, scale, setToIdentity, setToRotation, setToRotation, setToScale, setToShear, setToTranslation, setTransform, setTransform, shear, toString, transform, transform, transform, transform, transform, transform, translate`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AffineTransformation

    public AffineTransformation()

  See Also:
    `AffineTransform`

### AffineTransformation

    public AffineTransformation(java.awt.geom.AffineTransform t)

  See Also:
    `AffineTransform`

### AffineTransformation

    public AffineTransformation(float[] matrix)

  See Also:
    `AffineTransform`

### AffineTransformation

    public AffineTransformation(double[] matrix)

  See Also:
    `AffineTransform`

### AffineTransformation

    public AffineTransformation(float a0,
                                float b0,
                                float a1,
                                float b1,
                                float a2,
                                float b2)

  See Also:
    `AffineTransform`

### AffineTransformation

    public AffineTransformation(double a0,
                                double b0,
                                double a1,
                                double b1,
                                double a2,
                                double b2)

  See Also:
    `AffineTransform`

### AffineTransformation

    public AffineTransformation(java.awt.geom.Point2D[] in,
                                java.awt.geom.Point2D[] out)

  Creates an AffineTransform that maps one set of three points onto another set of three points. No checking is done for degenerate cases.
  Parameters:
    `in` - array of input points (first three points are used)
    `out` - array of corresponding output points (first three points are used)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD